get
https://api.marketcircle.net/v1/role_types
List all role types
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Role types describe the nature of the directed link between contacts and companies, projects, or opportunities. They can also describe the nature of the directed link between companies and projects or opportunities.
Attributes
| Attribute Name | Type | Description | Attributes |
|---|---|---|---|
self | reference | URL of the role type | Read-only Non-null |
role_name | string | Name of the role type, e.g. Decision Maker (max 128 characters) | Read-Write Non-null Required Searchable |
is_active | boolean | true if the role type can be assigned | Read-Write Non-null Default value is trueSearchable |
The list is sorted by ID and includes inactive role types.
Filtering Results
Add an entity query parameter to only return role types enabled for that type of record, e.g. GET /v1/role_types?entity=contact. Add is_active=true or is_active=false to only return active or inactive role types.
| Entity | Query String |
|---|---|
| Contact | contact |
| Company | company |
| Project | project |
| Opportunity | opportunity |